AMD driver version 11.1 upgrade to 11.7 - How to?

Discussion in 'iMac' started by brachson, Oct 1, 2011.

  1. brachson macrumors member

    Joined:
    Nov 14, 2010
    #1
    Hello,

    As you can imagine I am trying to run BF3 demo. When I trying to join the server I got the error with the following information:
    Detected driver version 11.1; minimum version is 11.7; please update drivers...

    But I have no idea how to update it. Yesterday I've foubd link to hot fix on ADM web site but now its gone...anyone managed to fix it?

    Tnx!
     
  2. Nishi100 macrumors 6502a

    Joined:
    Mar 27, 2010
    #2
    Same problem. I tried to use AMD's detect and install, but it won't let me do that.
     
  3. brachson thread starter macrumors member

    Joined:
    Nov 14, 2010
    #3
    Hello Could anyone explain me how to update these drivers?

    I have now 11.1 which are in control panel visible as 8.812 from Jan 2011 but I would like to download 11.7 (not sure what ver that would be in 8... numbering).

    I tried almost all drivers from here:
    http://support.amd.com/us/gpudownload/Pages/index.aspx

    But still no luck? What file should I download to make it running? And should I uninstall previous version?
     
  4. pcfarrar macrumors member

    Joined:
    Nov 23, 2010
    #4
    You need to download the mobility drivers. They work fine on my iMac.
     
  5. GabbaGooch macrumors newbie

    Joined:
    Sep 18, 2011

Share This Page